import { IEnumerable$1, IList$1, Point, Base, Type } from "igniteui-react-core/ES5/type";
import { TrendLineType } from "igniteui-react-core/ES5/TrendLineType";
export declare class TrendAverageCalculator extends Base {
    private static a(a, b, c);
    static b(a: TrendLineType, b: IList$1<number>, c: IList$1<number>, d: number): void;
    static c(a: TrendLineType, b: IList$1<Point>, c: IEnumerable$1<number>, d: IEnumerable$1<number>, e: number): void;
    static $t: Type;
}
